Subject: bug#22120: 25.1.50; segfault while running circe

From: Eric Hanchrow <[email-masked]>
Date: Tue, 8 Dec 2015 12:36:52 -0800

Dunno if I'm doing this right:
(gdb) down
#1  CAR (c=...) at lisp.h:1244
1244      return (CONSP (c) ? XCAR (c)
(gdb)
#0  XCAR (c=...) at lisp.h:1216
1216      return lisp_h_XCAR (c);
(gdb) p c
$4 = <optimized out>
(gdb) up
#1  CAR (c=...) at lisp.h:1244
1244      return (CONSP (c) ? XCAR (c)
(gdb) p c
$5 = <optimized out>
(gdb) up
#2  Fcar (list=...) at data.c:527
527       return CAR (list);
(gdb) p list
$6 = {
  i = 7791354264813860195
}
(gdb) xpr list
Lisp_Cons
$7 = (struct Lisp_Cons *) 0x6c20736c69747560
Cannot access memory at address 0x6c20736c69747560
(gdb)
On Tue, Dec 8, 2015 at 12:33 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Eric Hanchrow <[email-masked]>
> > Date: Tue, 08 Dec 2015 20:19:11 +0000
> >
> > I don't remember exactly what I did, but (since I'd seen this problem
> > before), I'd started emacs under gdb. I was using the circe IRC client
> > via M-x circe RET. I don't think I'd typed anything immediately before
> > emacs crashed.
> >
> > In GNU Emacs 25.1.50.1 (x86_64-unknown-linux-gnu)
> > of 2015-12-07
>
> Thanks.  The master branch takes a back seat for now, so if you could
> reproduce this problem on the emacs-25 branch, we will know it's
> urgent.
>
> Also, can you tell why XCAR segfaulted, exactly?  What is the value of
> 'c' in frame 0?